import { StructureV2 } from './interfaces';
export declare enum EntityType {
    Slide = "slide",
    Chapter = "chapter"
}
export declare type UnnormalizedEntity = string | StructureV2.iStoryboardItem | StructureV2.iChapterContentItem | undefined;
export declare type NormalizedChapters = [string, StructureV2.iChapterContentItem[]][];
export declare type NormalizedEntity = StructureV2.iChapterContentItem | StructureV2.iStoryboardItem | undefined;
export interface NormalizedStructureV1Slide {
    name: string;
    template: string;
    subslides?: (string | {
        slide: string;
        hidden: boolean;
    })[];
}
